/* Copyright (C) 2002-2005  The Coaster Development Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _COASTER_FIND_H_
#define _COASTER_FIND_H_

#include "dialogs/client-dialog.h"

namespace Gtk
{
class Entry;
} // namespace Gtk

namespace Gnome
{
namespace Glade
{
class Xml;
} // namespace Glade
} // namespace Gnome

namespace Coaster
{

namespace Widgets
{
class ComboHistory;
} // namespace Widgets

namespace Dialogs
{

class Find : public ClientDialog
{
public:
  Find(BaseObjectType* cobject,
       const Glib::RefPtr<Gnome::Glade::Xml>& refXml);
  virtual ~Find();

  Glib::ustring get_search_string() const;

protected:
  void on_response(int response);

private:
  Widgets::ComboHistory* m_pComboHistory;
};

} // namespace Dialogs

} // namespace Coaster

#endif // _COASTER_FIND_H_
