/* Copyright (C) 2002-2005  The Coaster Development Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _COASTER_STATUS_ICON_H_
#define _COASTER_STATUS_ICON_H_

#include <glibmm/refptr.h>
#include <glibmm/ustring.h>

namespace Gdk
{
class Pixbuf;
} // namespace Gdk

namespace Coaster
{

namespace StatusIcon
{

void set(const Glib::RefPtr<Gdk::Pixbuf>& pixbuf,
         const Glib::ustring& tip,
         const Glib::ustring& private_tip = Glib::ustring());
void set(const Glib::ustring& tip,
         const Glib::ustring& private_tip = Glib::ustring());
void set(const Glib::ustring& tip,
         double fraction);

void remove();

} // namespace StatusIcon

} // namespace Coaster

#endif // _COASTER_STATUS_ICON_H_
